<!-- HTML -->

<div data-modal="contact" class="w-full h-full bg-black bg-opacity-60 fixed top-0 left-0 z-40 opacity-0 invisible transition duration-300">
  <div class="modal-content w-full max-w-screen-md bg-white text-black p-10 absolute top-0 left-0 h-screen md:h-auto md:max-h-128 md:top-1/2 md:left-1/2 md:transform md:-translate-x-1/2 md:-translate-y-1/2 overflow-y-auto copy">

    	<h2>About Us</h2>
        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam sit amet luctus nunc. Aliquam a dignissim risus. Suspendisse potenti. Cras nec tellus gravida magna tincidunt blandit.</p>
        
        <p>Curabitur viverra velit eros, vitae euismod ipsum eleifend nec. Maecenas sollicitudin sapien at nibh luctus molestie. Integer ullamcorper elit id nibh mollis, eu dignissim sem pulvinar.</p>

        <p>In vel nisi ut justo gravida sollicitudin sed non quam. Aliquam sollicitudin tortor ac mauris dignissim aliquam. Maecenas semper cursus odio. Nam consequat erat non ipsum malesuada porttitor. Mauris auctor sodales scelerisque. Etiam id imperdiet nibh. Fusce scelerisque mauris nec purus tincidunt, blandit euismod sapien fringilla.</p>

    <button data-modal-close class="absolute top-0 right-0 px-4 py-3 bg-black text-white">{{fn('icon','times')}}</button>
  </div>
</div>



<!-- JS -->
<script>


// When you click on a modal trigger button:
// - select the corresponding modal element
// - remove opacity-0 and invisible classes
// - add opacity-100 and visible classes

// When you click the close button OR the area outside the modal content OR press escape key
// - remove opacity-100 and visible classes
// - add opacity-0 and invisible classes


// Select all modal trigger buttons, modals, modal close buttons, and body
const modalTriggers = document.querySelectorAll('[data-modal-target]')
const modals = document.querySelectorAll("[data-modal]");
const modalCloseBtns = document.querySelectorAll("[data-modal-close]");

// Modal Active / Non-active Classes
const modalActiveClasses = ["visible","opacity-100"];
const modalNonActiveClasses = ["invisible","opacity-0"];


// Launch corresponding modal when modal trigger is clicked
modalTriggers.forEach(el => {
  el.addEventListener("click", function(e) {
    
    // Get the data-modal-target attr value from modal trigger so we can target corresponding modal
    const target = this.getAttribute('data-modal-target');
    const modal = document.querySelector(`[data-modal="${target}"]`);

    // Add/remove the necessary classes to launch the modal
    modal.classList.add(...modalActiveClasses);
    modal.classList.remove(...modalNonActiveClasses);
  });
});


// Close modal function (remove/add necessary classes)
function closeModal() {
  modals.forEach(el => {
    el.classList.remove(...modalActiveClasses);
    el.classList.add(...modalNonActiveClasses);
  });
}

// When any modal close button is clicked, run the closeModal function
modalCloseBtns.forEach(el => {
  el.addEventListener('click', closeModal)
});

// When the escape key is pressed, run the closeModal function
window.addEventListener("keydown", function (e) {
  if (e.code === "Escape") {
    closeModal();
  }
});

// When the modal backdrop area is clicked, run the closeModal function
modals.forEach(el => {
  el.addEventListener("click", function (e) {
    const isOutside = !e.target.closest(".modal-content");
    if (isOutside) {
      closeModal();
    }
  });
})

</script>